## org.biojava.bio.dp
Class SimpleModelInState

    java.lang.Object
      |
      +--org.biojava.bio.symbol.SimpleAtomicSymbol
            |
            +--org.biojava.bio.dp.SimpleModelInState

public class SimpleModelInState
extends SimpleAtomicSymbol
implements ModelInState

Constructor Summary
`SimpleModelInState(MarkovModel model, java.lang.String name)`

Method Summary
`MarkovModel` `getModel()` The model that is inside this state.
`void` `registerWithTrainer(ModelTrainer modelTrainer)` Perform any registration that is necisary with mt.

Methods inherited from class org.biojava.bio.symbol.SimpleAtomicSymbol
`getAnnotation, getMatches, getName, getToken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleModelInState

    public SimpleModelInState(MarkovModel model,
                              java.lang.String name)

Method Detail

### getModel

    public MarkovModel getModel()

  Description copied from interface: ModelInState
  The model that is inside this state.
  Specified by:
    getModel in interface ModelInState

### registerWithTrainer

    public void registerWithTrainer(ModelTrainer modelTrainer)
                             throws BioException

  Description copied from interface: Trainable
  Perform any registration that is necisary with mt.

  This may include registering handelers for transition or emission counts, or registering other Trainable objects with the ModelTrainer.

  Tags copied from interface: Trainable
  Parameters:
    `mt` - the ModelTrainer that encapsulates the training environment
  Returns:
    a StateTrainer